/* VARIABLES STYLES */
:root {
  /* TEXT VARIABLES */
  --text-dark: #000;
  --text-light: #fff;
  --text-grey: #adbddc;
  --body-font: "Roboto", sans-serif;
  --heading-font: "Anek Latin", sans-serif;
  --h1-size: 94px;
  --h1-height: 108px;
  --h2-size: 50px;
  --h2-height: 75px;
  --h3-size: 40px;
  --h4-size: 32px;
  --h5-size: 28px;
  --h6-size: 22px;
  --subtitle-size: 17px;
  --subtitle-height: 26px;
  --p-size: 19px;
  --p-height: 26px;
  --secondary-text-size: 14px;
  --secondary-text-height: 18px;
  --button-size: 16px;

  /* SPACING VARIABLES*/
  --spacing-sm: 8px;
  --spacing-md: 16px;
  --spacing-lg: 32px;
  --spacing-xl: 54px;
  --standard-width: 1144px;

  /* COLOR VARIABLES */
  --purple-1: #6962f7;
  --purple-2: #7000ff;
  --blue-1: #00d4ff;
  --primary-accent: #0a2540;
  --primary-button-hover: #6d7a88;
  --bg-white: #fff;
  --bg-light: #f7f9fc;

  --standard-border-radius: 20px;
  --standard-box-shadow: 0px 2px 40px rgba(0, 0, 0, 0.15);
  --primary-gradient: linear-gradient(
    101.33deg,
    #08209a 0.76%,
    #6563ff 33.33%,
    #36c5f0 76.92%,
    #83e2ff 96.96%
  );

  --gradient-color-1: #ef008f;
  --gradient-color-2: #6ec3f4;
  --gradient-color-3: #7038ff;
  --gradient-color-4: #ffba27;

  --navbar-gradient: linear-gradient(
    90deg,
    var(--gradient-color-1),
    var(--gradient-color-2),
    var(--gradient-color-3),
    var(--gradient-color-4)
  );
}

/* GENERAL ELEMENTS STYLES */
html,
body {
  width: 100%;
  position: relative;
  overflow-x: hidden;
}

body {
  font-family: var(--body-font);
  color: var(--text-dark);
  margin: 0;
  box-sizing: border-box;
  padding: var(--spacing-sm) 0 0 0;
  background-color: var(--bg-white);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

main {
  width: 100%;
  margin: var(--spacing-xl) 0 0 0;
}

h1 {
  font-family: var(--heading-font);
  font-weight: 600;
  font-size: var(--h1-size);
  margin: 0;
  width: 100%;
  letter-spacing: -1px;
  line-height: var(--h1-height);
}

h2 {
  font-family: var(--heading-font);
  font-weight: 600;
  font-size: var(--h3-size);
  margin: 0;
  width: 100%;
}

h3 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: var(--h3-size);
  margin: 0;
  width: 100%;
}

h4 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: var(--h4-size);
  margin: 0;
  width: 100%;
  letter-spacing: -0.25px;
}

h5 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: var(--h5-size);
  margin: 0;
  width: 100%;
}

h6 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: var(--h6-size);
  margin: 0;
  width: 100%;
  letter-spacing: -0.25px;
}

a {
  text-decoration: none;
  color: var(--purple-1);
  font-weight: 500;
  transition: 0.25s ease;
}

a:hover {
  color: var(--primary-accent);
}

p {
  font-size: var(--p-size);
  line-height: var(--p-height);
  font-weight: 400px;
  margin: var(--spacing-md) 0;
}

/* LAYOUTS STYLES */
.section-container {
  width: 100%;
  max-width: var(--standard-width);
}

.two-column {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: flex-start;
  box-sizing: border-box;
}

.two-column > .col-left {
  width: 50%;
  box-sizing: border-box;
  padding: 0 var(--spacing-md) 0 0;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.two-column > .col-right {
  width: 50%;
  box-sizing: border-box;
  padding: 0 0 0 var(--spacing-md);
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  padding: var(--spacing-sm) var(--spacing-md) var(--spacing-sm) 0;
}

.card .icon {
  height: 50px;
  margin: 0 0 var(--spacing-md) 0;
}

.card h3 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: var(--h6-size);
  margin: 0;
  width: 100%;
  letter-spacing: -0.25px;
}

.subtitle,
.subtitle2 {
  color: var(--purple-1);
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: var(--subtitle-size);
  line-height: var(--subtitle-height);
}

.subtitle2 {
  color: var(--blue-1);
}

.secondary-text {
  font-size: var(--secondary-text-size);
  line-height: var(--secondary-text-height);
  color: var(--text-grey);
  letter-spacing: 0.25px;
}

/* BUTTON STYLES */
.primary-button {
  font-family: var(--body-font);
  font-size: var(--button-size);
  letter-spacing: 1.25px;
  font-weight: bold;
  border-radius: var(--standard-border-radius);
  border: none;
  background-color: var(--primary-accent);
  color: var(--text-light);
  padding: var(--spacing-sm) var(--spacing-md);
  transition: all 0.15s ease;
}

.primary-button:hover {
  background-color: var(--primary-button-hover);
  cursor: pointer;
}

.secondary-button {
  font-family: var(--body-font);
  font-size: var(--button-size);
  letter-spacing: 1.25px;
  font-weight: bold;
  border-radius: var(--standard-border-radius);
  border: none;
  background-color: transparent;
  color: var(--primary-accent);
  transition: all 0.15s ease;
}

.secondary-button:hover {
  opacity: 0.75;
  cursor: pointer;
}

.with-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.with-icon > img {
  transition: transform 0.25s;
}

.with-icon:hover > img {
  transform: translateX(4px);
}

/* NAVBAR SECTION STYLES*/
main {
  margin: var(--spacing-xl) 0;
}

.nav-bar {
  position: fixed;
  z-index: 2;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 70px;
  /* max-width: var(--standard-width); */
  padding: 0 var(--spacing-md);
  box-sizing: border-box;
  top: 0;
  background: var(--navbar-gradient);
}

.menu {
  display: flex;
  list-style: none;
  justify-content: center;
  align-items: center;
}

.menu a {
  color: var(--text-light);
  margin: 0 var(--spacing-md);
  font-weight: bold;
}

.menu a:hover {
  text-decoration: underline;
}

.navbar-button {
  background-color: rgba(250, 250, 250, 0.25);
}

.navbar-button:hover {
  background-color: rgba(250, 250, 250, 0.25);
}

.hamburger-button {
  display: none;
}

/* ANIMATED GRADIENT HERO BACKGROUND STYLES */
#gradient-canvas {
  width: 200%;
  height: 1010px;
  overflow: hidden;
  transform: rotate(-10deg);
  position: absolute;
  top: -600px;
  left: -50%;
  z-index: -1;
  --gradient-color-1: #ef008f;
  --gradient-color-2: #6ec3f4;
  --gradient-color-3: #7038ff;
  --gradient-color-4: #ffba27;
}

/* HERO SECTION STYLES */

.hero {
  width: 100%;
  display: flex;
  justify-content: center;
}

.hero .two-column {
  padding: var(--spacing-xl) 0 0 0;
}

.hero p {
  max-width: 480px;
}

.button-container {
  display: flex;
}

.button-container button:last-of-type {
  margin-left: 0 0 0 var(--spacing-md);
  color: var(--purple-2);
}

.hero .hero-phone-contaainer {
  height: 500px;
  align-items: flex-end;
}

.hero-phone {
  height: 628px;
  transform: translate(32px -32px);
}

/* PARTNERS SECTION STYLES */
.partners-section {
  width: 100%;
  display: flex;
  justify-content: center;
}

.partners-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: var(--spacing-md);
  row-gap: var(--spacing-lg);
  margin: var(--spacing-xl) 0;
}

.partners-grid img {
  height: 60px;
  place-self: center;
}

/* UNIFIED PLATFORM SECTION STYLES*/
.unified-platform-section {
  padding: var(--spacing-xl) 0;
  width: 100%;
  display: flex;
  justify-content: center;
  background-color: var(--bg-light);
}

.unified-platform-section h2 {
  width: 50%;
  margin-bottom: var(--spacing-md);
}

.unified-platform-section .primary-button {
  background-color: var(--purple-1);
  margin: var(--spacing-md) 0;
}

.unified-platform-section .primary-button:hover {
  background-color: var(--primary-accent);
}

/* GRAPHIC GRID SECTION STYLES */
.graphic-section {
  width: 100%;
  display: flex;
  justify-content: center;
  background-color: var(--bg-light);
}

.graphic-grid {
  display: grid;
  grid-template-areas:
    "card slack slack"
    "phone slack slack"
    "phone dash dash";
  grid-gap: var(--spacing-lg);
  padding: var(--spacing-lg) 0;
}

#credit-card {
  grid-area: card;
  width: 100%;
  box-shadow: var(--standard-box-shadow);
  border-radius: var(--standard-border-radius);
}

#slack-invoice {
  grid-area: slack;
  width: 100%;
  box-shadow: var(--standard-box-shadow);
  border-radius: var(--standard-border-radius);
}

#phone {
  grid-area: phone;
  width: 100%;
}

#dash {
  grid-area: dash;
  width: 100%;
  box-shadow: var(--standard-box-shadow);
  border-radius: var(--standard-border-radius);
}

/* INTEGRATIONS SECTION STYLES */
.integrations-section {
  color: var(--text-light);
  /* background-color: var(--primary-accent); */
  width: 100%;
  display: flex;
  justify-content: center;
  position: relative;
  padding: calc(var(--spacing-xl) * 3) 0;
  z-index: 1;
}

.integrations-section::before {
  content: "";
  width: 100%;
  height: 1100px;
  background-color: var(--primary-accent);
  position: absolute;
  top: -32px;
  left: 0;
  z-index: -1;
  transform: skewY(-10deg);
}

.integrations-section::after {
  content: "";
  background-color: var(--bg-light);
  width: 100%;
  height: 50%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: -2;
}

.integrations-section .primary-button {
  background-color: var(--blue-1);
  color: var(--primary-accent);
  margin: var(--spacing-md) 0 0 0;
}

.integrations-section .primary-button:hover {
  background-color: var(--bg-white);
}

.integrations-section .card-container {
  display: flex;
  margin: var(--spacing-lg) 0;
}

.integrations-section .card-container .card {
  width: 50%;
}

.integrations-section .secondary-button {
  color: var(--blue-1);
}

#api-code {
  max-width: 470px;
  margin: 0 0 var(--spacing-md) 0;
  border-radius: var(--standard-border-radius);
}

#terminal-code {
  max-width: 470px;
  border-radius: var(--standard-border-radius);
}

/* WHY SWIPE SECTION STYLES */
.why-swipe-section {
  width: 100%;
  display: flex;
  justify-content: center;
  padding: calc(var(--spacing-xl) * 3) 0;
}

.why-swipe-section .card-container {
  display: flex;
  margin: var(--spacing-lg) 0;
}

.why-swipe-section .card-container .card {
  width: 25%;
  padding: 0 var(--spacing-sm) 0 0;
  margin: 0 var(--spacing-md) 0 0;
  box-sizing: border-box;
}

.why-swipe-section .secondary-text {
  color: var(--text-dark);
}

/* GLOBAL SECTION STYLES */
.global-section {
  /* background-color: var(--primary-accent); */
  width: 100%;
  display: flex;
  justify-content: center;
  color: var(--text-light);
  position: relative;
  padding: var(--spacing-xl) 0 0 0;
}

.global-section::before {
  content: "";
  width: 100%;
  height: 1200px;
  background-color: var(--primary-accent);
  position: absolute;
  top: -32px;
  left: 0;
  transform: skewY(-10deg);
  z-index: -1;
}

.global-section a {
  color: var(--blue-1);
}

.global-section a:hover {
  color: var(--text-light);
}

.global-section .card-container {
  display: flex;
  margin: calc(var(--spacing-xl) * 2) 0;
}

.global-section .card-container .card {
  width: 25%;
  box-sizing: border-box;
  padding: 0 var(--spacing-sm) 0 0;
  margin: 0 var(--spacing-md) 0 0;
}

.global-section .card-container .card h3 {
  border-left: 2px solid var(--blue-1);
  padding: 0 0 0 var(--spacing-sm);
  line-height: 28px;
}

#globe {
  max-width: 550px;
  opacity: 25%;
  position: absolute;
  top: 14%;
}

/* VIRTUAL EVENTS SECTION STYLES */
.virtual-events-section {
  display: flex;
  justify-content: center;
  padding: calc(var(--spacing-xl) * 2) 0 calc(var(--spacing-xl) * 3) 0;
  position: relative;
}

.virtual-events-section ::before {
  content: "";
  background-color: var(--bg-light);
  width: 100%;
  height: 100%;
  position: absolute;
  top: -32px;
  left: 0;
  z-index: -1;
}

.virtual-events-section .primary-button {
  background-color: var(--purple-1);
  margin: var(--spacing-md) 0 0 0;
}

.virtual-events-section .primary-button:hover {
  background-color: var(--primary-accent);
}

.virtual-events-section .col-left {
  height: 446px;
  padding: 0 var(--spacing-xl) 0 0;
}

.swipe-sections-card {
  width: 540px;
  height: 446px;
  box-shadow: var(--standard-box-shadow);
  border-radius: var(--standard-border-radius);
  overflow: hidden;
}

.swipe-sections-card .card-top {
  background-color: var(--purple-1);
  width: 100%;
  height: 50%;
  display: flex;
  justify-content: center;
  position: relative;
  /* transform: rotate(10deg); */
}

.swipe-sections-card .card-top::before {
  background: var(--primary-gradient);
  content: "";
  width: 100%;
  height: 150%;
  position: absolute;
  top: -40%;
  transform: skewY(-5deg);
  z-index: 1;
}

#session-logo {
  z-index: 2;
  width: 300px;
  height: 50px;
  padding: var(--spacing-xl);
}

.virtual-events-section .avatars {
  position: absolute;
  bottom: -70px;
  left: var(--spacing-xl);
  z-index: 3;
  width: 140px;
  height: 80px;
}

.virtual-events-section .avatars img {
  width: 80px;
}

.virtual-events-section .avatars img:nth-child(2) {
  position: absolute;
  left: 55px;
}

.virtual-events-section .card-bottom {
  width: 100%;
  height: 50%;
  box-sizing: border-box;
  padding: var(--spacing-xl);
}

.virtual-events-section .card-bottom .subtitle {
  margin: var(--spacing-lg) 0 0 0;
}

.virtual-events-section .card-bottom .secondary-text {
  color: var(--text-dark);
  width: 50%;
  font-weight: 700;
}

/* GETTING STARTED SECTION STYLES */
.getting-started-section {
  display: flex;
  justify-content: center;
  padding: var(--spacing-xl) 0;
}

.getting-started-section .primary-button {
  background-color: var(--purple-1);
  margin: var(--spacing-md) 0;
}

.getting-started-section .primary-button:hover {
  background-color: var(--primary-accent);
}

.getting-started-section .col-left {
  padding: 0 var(--spacing-xl) 0 0;
}

.getting-started-section .col-right {
  flex-direction: row;
}

.getting-started-section .col-right .card {
  width: 50%;
  box-sizing: border-box;
  padding: 0 var(--spacing-sm) 0 0;
  margin: 0 var(--spacing-md) 0 0;
}

.getting-started-section .col-right .card .secondary-button {
  color: var(--purple-2);
  padding-left: 0;
}

/* FOOTER SECTION STYLES */
.footer {
  display: flex;
  justify-content: center;
  background-color: var(--bg-light);
  padding: var(--spacing-xl) 0 0 0;
}

.footer .section-container {
  display: flex;
}

#footer-logo {
  max-width: 108px;
  margin: 0 0 var(--spacing-md) 0;
}

.footer .col {
  width: 25%;
}

.footer .col ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.footer .col ul li {
  margin: var(--spacing-md) 0;
}

.footer .col a {
  color: var(--text-dark);
  font-weight: normal;
}

.footer .col a:hover {
  color: var(--purple-1);
}

.footer .icon-link {
  display: flex;
  align-items: center;
  margin: var(--spacing-md) 0;
}

.footer .icon-link img {
  width: 24px;
}

.footer h3 {
  font-size: var(--h6-size);
  font-weight: 700;
}

/* CUSTOM BREAKPOINT (1144PX)*/
@media only screen and (max-width: 1144px) {
  .section-container {
    padding: 0 var(--spacing-md);
  }

  :root {
    --h1-size: 80px;
    --h1-height: 85px;
  }

  #gradient-canvas {
    height: 950px;
  }

  /* HERO SECTION STYLES */
  .hero-phone {
    height: 550px;
    transform: translateY(-20px);
  }

  .hero .two-column {
    padding: var(--spacing-lg) 0 0 0;
  }

  .hero .col-left {
    width: 60%;
  }

  .hero .col-right {
    width: 40%;
  }

  /* PARTNERS GRID */
  .partners-grid {
    margin: 0 0 var(--spacing-xl) 0;
  }
}

/* CUSTOM BREAKPOINT (850PX)*/
@media only screen and (max-width: 850px) {
  :root {
    --h1-size: 70px;
    --h1-height: 75px;
  }

  #gradient-canvas {
    height: 910px;
  }

  /* PARTNERS GRID */
  .partners-grid img {
    width: 100%;
    height: auto;
  }

  /* INTEGRATION SECTION */
  .integrations-section .col-left {
    width: 60%;
  }

  .integrations-section .col-right {
    width: 40%;
  }
}

/* CUSTOM BREAKPOINT (768PX)*/
/* MEDIA QUERY TABLET SIZE */
@media only screen and (max-width: 768px) {
  :root {
    --h1-size: 58px;
    --h1-height: 62px;
    --h3-size: 34px;
    --h6-size: 16px;
  }

  .navbar {
    margin: 0 0 var(--spacing-xl) 0;
  }

  #gradient-canvas {
    height: 965px;
  }
  /* HERO STYLES */
  main {
    margin: var(--spacing-lg);
  }

  .section-container .two-column {
    margin: var(--spacing-lg) 0 0 0;
  }

  /* HERO STYLES*/
  .hero .two-column {
    align-items: center;
  }

  .hero .col-left {
    width: 60%;
  }

  .hero .col-right {
    width: 40%;
  }

  .hero-phone {
    height: 550px;
    transform: translateX(20px);
  }

  /* PARTNERS GRID */
  .partners-section {
    margin: -5px 0 0 0;
  }

  /* UNIFIED PLATFORM SECTION STYLES*/
  .unified-platform-section h2 {
    width: 60%;
  }

  /* INTEGRATIONS SECTION STYLES */
  .integrations-section .card-container {
    flex-direction: column;
  }

  .integrations-section .card-container .card {
    width: 100%;
  }

  /* WHY SWIPE SECTION STYLES */
  .why-swipe-section {
    padding: var(--spacing-xl) 0;
  }

  .why-swipe-section .card-container {
    flex-wrap: wrap;
  }

  .why-swipe-section .card-container .card {
    width: 50%;
    margin: var(--spacing-md) 0;
  }

  /* GLOBAL SECTION STYLES */
  .global-section .card-container {
    flex-wrap: wrap;
    margin: var(--spacing-xl) 0;
  }

  .global-section .card-container .card {
    width: 50%;
    margin: var(--spacing-md) 0;
  }

  /* GETTING STARTED SECTION STYLES */
  .getting-started-section .two-column {
    align-items: center;
  }

  .getting-started-section .col-right {
    flex-wrap: wrap;
  }

  .getting-started-section .col-right .card {
    width: 100%;
    margin: var(--spacing-md) 0;
  }
}

/* CUSTOM BREAKPOINT (750PX)*/
@media only screen and (max-width: 750px) {
  /* NAVBAR STYLES */
  .nav-bar {
    margin: 0;
  }

  .nav-bar .menu {
    display: none;
  }

  .nav-bar .navbar-button {
    display: none;
  }

  .hamburger-button {
    width: 50px;
    height: 30px;
    background-color: rgba(250, 250, 250, 0.25);
    border-radius: var(--standard-border-radius);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .hamburger-button .bar {
    width: 18px;
    height: 2px;
    background-color: var(--bg-white);
    margin: 2px 0;
  }
}

/* MEDIA QUERY MOBILE SIZE BREAKPOINT (550PX)*/
@media only screen and (max-width: 550px) {
  /* GENERAL STYLES */
  :root {
    --h1-size: 58px;
    --h1-height: 62px;
    --h3-size: 34px;
  }

  .two-column {
    flex-direction: column;
  }

  .two-column > .col-left {
    width: 100%;
  }

  .two-column > .col-right {
    width: 100%;
    padding: 0;
  }

  /* NAVBAR STYLES */
  .navbar {
    margin: 0 0 var(--spacing-xl) 0;
  }

  #gradient-canvas {
    height: 825px;
  }

  /* HERO STYLES */
  main {
    margin: var(--spacing-lg);
  }

  .hero .hero-phone-contaainer {
    display: none;
  }

  /* PARTNERS GRID SECTION */
  .partners-section {
    margin: var(--spacing-lg) 0 var(--spacing-sm) 0;
  }
  .partners-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  /* UNIFIED PLATFORM SECTION STYLES*/
  .unified-platform-section {
    padding: var(--spacing-md);
  }

  .unified-platform-section h2 {
    width: 80%;
  }

  /* INTEGRATIONS SECTION STYLES */
  .integrations-section::before {
    height: 850px;
  }

  .integrations-section {
    padding: var(--spacing-lg) 0 0;
  }

  .integrations-section .col-right {
    display: none;
  }

  /* WHY SWIPE SECTION STYLES */
  .why-swipe-section {
    padding: var(--spacing-lg) 0;
  }

  .why-swipe-section .card-container .card {
    width: 100%;
  }

  .why-swipe-section .card-container .card .icon {
    height: 40px;
  }

  /* GLOBAL SECTION STYLES */
  .global-section {
    padding: var(--spacing-xl) 0;
  }

  .global-section .card-container {
    margin: var(--spacing-md) 0;
  }

  .global-section .card-container .card {
    width: 100%;
    margin: var(--spacing-sm) 0;
  }

  #globe {
    opacity: 10%;
  }

  /* VIRTUAL EVENTS SECTION STYLES */
  .virtual-events-section {
    padding: 0;
  }

  .virtual-events-section .swipe-sections-card {
    margin: var(--spacing-lg) 0;
    width: 100%;
  }

  .virtual-events-section .card-bottom .secondary-text {
    width: 80%;
  }

  /* GETTING STARTED STYLES */
  .getting-started-section {
    padding: var(--spacing-md) 0;
  }

  /* FOOTER STYLES */

  .footer .section-container {
    flex-wrap: wrap;
  }

  .footer .col {
    width: 50%;
    margin: var(--spacing-md) 0;
  }

  .footer .col a {
    font-size: 14px;
  }

  #footer-logo {
    width: 70px;
  }

  .footer .icon-link img {
    width: 18px;
  }
}

/* CUSTOM BREAKPOINT (500px) */
@media only screen and (max-width: 500px) {
  .swipe-sections-card {
    height: 400px;
  }

  .swipe-sections-card .card-top {
    height: 40%;
  }
}
